import request from '@/utils/request'

// 查询摄像头视频列表
export function listMallCameraVideo(query) {
  return request({
    url: '/mall/mallCameraVideo/list',
    method: 'get',
    params: query
  })
}

// 查询摄像头视频详细
export function getMallCameraVideo(cameraVideoId) {
  return request({
    url: '/mall/mallCameraVideo/' + cameraVideoId,
    method: 'get'
  })
}

// 新增摄像头视频
export function addMallCameraVideo(data) {
  return request({
    url: '/mall/mallCameraVideo',
    method: 'post',
    data: data
  })
}

// 修改摄像头视频
export function updateMallCameraVideo(data) {
  return request({
    url: '/mall/mallCameraVideo',
    method: 'put',
    data: data
  })
}

// 删除摄像头视频
export function delMallCameraVideo(cameraVideoId) {
  return request({
    url: '/mall/mallCameraVideo/' + cameraVideoId,
    method: 'delete'
  })
}
